Subject: bug#5118: DocView: copy/search text

From: Juri Linkov <[email-masked]>
Date: Sat, 05 Dec 2009 21:47:50 +0200

>> Please add two features that would be easy to implement:
>>
>> 1. Copying the text of the current page to the kill ring.
>
> I don't know anything about DocView, but shouldn't that be possible
> in any major mode via C-x C-p (mark-page) then M-w (kill-ring-save)?

`C-x C-p' and `M-w' will copy binary data, whereas `pdftotext' converts
it to plain text in a hidden buffer that can be displayed with `C-c C-t'
where you can do `C-x C-p' and `M-w'.  But the problem is that it's
difficult to find the current page in the text representation to be able
to copy it.

-- 
Juri Linkov
http://www.jurta.org/emacs/